
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2007 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/


#ifndef HDR_edtSnap
#define HDR_edtSnap

#include "dbVector.h"

namespace edt
{

/**
 *  @brief The angle constraint
 *
 *  The angle constraint describes how any angle should be constrained, i.e.
 *  when connecting points in a polygon.
 *
 *  Any: no constraint
 *  Diagonal: 0, 45, 90, 135 degree
 *  Ortho: 0 and 90 degree
 */
enum angle_constraint_type { Any = 0, Diagonal, Ortho, NumACModes };

/**
 *  @brief Reduce a given vector according to the angle constraint
 */
db::DVector snap_angle (const db::DVector &in, angle_constraint_type ac);

}

#endif


