
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2007 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/


#ifndef HDR_layDbProxy.h
#define HDR_layDbProxy.h

#include <list>


typedef std::list <lay::DbProxy *> lay::DbProxyList;
typedef lay::DbProxyList::iterator lay::DbProxyId;


class lay::DbProxy
{
public:
  lay::DbProxy (lay::Layout &owner, db::Db *db, lay::DbProxyId id);
  ~lay::DbProxy ();

  db::Db *operator-> ();
  const db::Db *operator-> () const;

private:
  lay::Layout *mp_owner;
  lay::DbProxyId m_id;
  db::Db *m_db;
};


db::Db *
lay::DbProxy::operator-> ()
{
  return m_db;
}

const db::Db *
lay::DbProxy::operator-> () const
{
  return m_db;
}

#endif


