
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2007 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/


#ifndef HDR_layLayoutViewConfig
#define HDR_layLayoutViewConfig

#include <string>

namespace lay
{

// -------------------------------------------------------------
//  This file provides the main declarations for the configuration
//  options names

extern const std::string cfg_background_color;
extern const std::string cfg_ctx_color;
extern const std::string cfg_ctx_dimming;

extern const std::string cfg_sel_color;
extern const std::string cfg_sel_line_width;
extern const std::string cfg_sel_vertex_size;
extern const std::string cfg_sel_halo;

extern const std::string cfg_min_inst_label_size;
extern const std::string cfg_cell_box_text_font;
extern const std::string cfg_cell_box_text_transform;
extern const std::string cfg_cell_box_color;
extern const std::string cfg_cell_box_visible;
extern const std::string cfg_text_color;
extern const std::string cfg_text_visible;
extern const std::string cfg_text_lazy_rendering;
extern const std::string cfg_show_properties;
extern const std::string cfg_apply_text_trans;
extern const std::string cfg_default_text_size;
extern const std::string cfg_text_font;
extern const std::string cfg_fit_new_cell;
extern const std::string cfg_color_palette;
extern const std::string cfg_abs_units;
extern const std::string cfg_dbu_units;
extern const std::string cfg_drop_small_cells;
extern const std::string cfg_drop_small_cells_cond;
extern const std::string cfg_drop_small_cells_value;

extern const std::string cfg_edit_mode;
extern const std::string cfg_default_lyp_file;

}

#endif

