
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2007 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/


#include "layApplication.h"
#include "tlInternational.h"
#include "tlException.h"

#include <iostream>

int 
main (int argc, char *argv [])
{
#ifndef _WIN32
  //  KLUDGE: the following statement overrides the LANG locale provided by the system.
  //  The reason is, that Qt employs a function called _XInitOM that seems not to be 
  //  capable of handling "UTF8" LANG types. This makes QTextEdit widgets with HTML 
  //  content SIGSEGV when text is marked.
  putenv ((char *) "LANG=C");
#endif

  int result = 0;

  try {

    lay::Application app (argc, argv);
    result = app.run ();

  } catch (std::exception &ex) {
    tl::error << ex.what ();
    result = 1;
  } catch (tl::Exception &ex) {
    tl::error << ex.msg ();
    result = 1;
  } catch (...) {
    tl::error << tl::translate ("unspecific error");
    result = 1;
  }

  return result;

}


