
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2007 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/


#ifndef HDR_rbaConsole
#define HDR_rbaConsole

#include <QtGui/QDialog>
#include <QtGui/QColor>
#include <QtGui/QFont>

#include "rba.h"

namespace Ui {
  class ConsoleForm;
}

namespace rba 
{

class ConsoleImpl
  : public QDialog,
    public Console
{
Q_OBJECT

public:
  ConsoleImpl ();
  ~ConsoleImpl ();

  void write_str (const char *text, output_stream os);

protected:
  void showEvent (QShowEvent *);
  void hideEvent (QHideEvent *);

  bool eventFilter (QObject *obj, QEvent *event);
  void execute (const QString &cmd);

protected slots:
  void editTextChanged (const QString &text);
  void clearLog ();

private:
  Ui::ConsoleForm *mp_ui;
  int m_history_index;
  bool m_in_event_handler;
  QString m_edit_text;
  output_stream m_os;
  bool m_new_line;
  QFont m_def_font;
  QColor m_def_color;
};

}

#endif

